package com.dhcc.finance.main.dao;

import com.dhcc.finance.main.domain.CwBdProductcell;
import com.dhcc.finance.main.domain.CwBdProductcellExample;
import java.util.List;
import org.apache.ibatis.annotations.Param;

public interface CwBdProductcellMapper {
    long countByExample(CwBdProductcellExample example);

    int deleteByExample(CwBdProductcellExample example);

    int deleteByPrimaryKey(String id);

    int insert(CwBdProductcell record);

    int insertSelective(CwBdProductcell record);

    List<CwBdProductcell> selectByExample(CwBdProductcellExample example);

    CwBdProductcell selectByPrimaryKey(String id);

    int updateByExampleSelective(@Param("record") CwBdProductcell record, @Param("example") CwBdProductcellExample example);

    int updateByExample(@Param("record") CwBdProductcell record, @Param("example") CwBdProductcellExample example);

    int updateByPrimaryKeySelective(CwBdProductcell record);

    int updateByPrimaryKey(CwBdProductcell record);
    /**
     * 功能描述  删除单元数据
     *@param idList
     *@return int
     *@author huangpeng
     *@date 2019年10月5日 下午2:38:49
     *修改日志:
     */
	int deleteCwBdProductcellById(@Param("idList") List<String> idList);
}